[ubuntu/hirsute-security] libssh 0.9.5-1ubuntu0.1 (Accepted)

Marc Deslauriers marc.deslauriers at canonical.com
Thu Aug 26 15:31:58 UTC 2021


libssh (0.9.5-1ubuntu0.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: possible heap-buffer overflow when rekeying
    - debian/patches/CVE-2021-3634.patch: create a separate length for
      session_id in include/libssh/crypto.h, src/gssapi.c, src/kdf.c,
      src/kex.c, src/libcrypto.c, src/messages.c, src/packet.c, src/pki.c,
      src/wrapper.c, tests/unittests/torture_session_keys.c.
    - CVE-2021-3634

Date: 2021-08-18 16:50:25.162657+00:00
Changed-By: Marc Deslauriers <marc.deslauriers at canonical.com>
https://launchpad.net/ubuntu/+source/libssh/0.9.5-1ubuntu0.1
-------------- next part --------------
Sorry, changesfile not available.


More information about the Hirsute-changes mailing list